<?php
/*------------------------------------------------------------------------
# urednideska.php - Úřední deska Component
# ------------------------------------------------------------------------
# author    Petr Houba
# copyright Copyright (C) 2013. All Rights Reserved
# license   GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
# website   urednideska.g6.cz
-------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla controlleradmin library
jimport('joomla.application.component.controlleradmin');

/**
 * Kategorie Controller
 */
class UrednideskaControllerKategorie extends JControllerAdmin {
  /**
  * @var		string	The prefix to use with controller messages.
  * @since	1.6
	*/
	protected $text_prefix = 'COM_UREDNIDESKA_CATEGORIES';
  
  public function __construct($config = array()) {
		parent::__construct($config);

		$this->registerTask('publish', 'publish');
//    $this->registerTask('unarchive', 'archive');
	}
  
  /**
	 * Proxy for getModel.
	 * @since	2.5
	 */
  public function getModel($name = 'Upravakategorie', $prefix = 'UrednideskaModel') {
		$model = parent::getModel($name, $prefix, array('ignore_request' => true));
		
		return $model;
	}
  
  function publish () {
    // Check for request forgeries
		JSession::checkToken() or jexit(JText::_('JINVALID_TOKEN'));
    $app = JFactory::getApplication();
    
    // Get the model.
		$model = $this->getModel();
    
    // Get items to publish from the request.
		$cid = JRequest::getVar('cid', array(), '', 'array');
		$data = array('publish' => 1, 'unpublish' => 0);
    $task = $this->getTask();
    $value = JArrayHelper::getValue($data, $task, 0, 'int');

    if (empty($cid)) {
			JError::raiseWarning(500, JText::_('COM_UREDNIDESKA_NO_ITEM_SELECTED'));
		}
    else {
      $db	=& JFactory::getDBO();
      $query = $db->getQuery(true);
      
      $query->select('*');
      $query->from('#__urednideska_kategorie');
      $query->where('id IN('.implode($cid, ',').')');
      $db->setQuery((string)$query);
      $rows = $db->loadObjectList();
      
      $i = 0;
      foreach($rows AS $row) {
        $canEditState = $model->canEditState($row);
        if($canEditState) {
          $i++;
          $query = $db->getQuery(true);
          $query->update($db->quoteName('#__urednideska_kategorie'));
          $query->set($db->quoteName('published').' = '.$value);
          $query->where('id IN('.implode($cid, ',').')');
          $db->setQuery($query);
          $db->query();
          
          // Check for a database error.
    			if ($db->getErrorNum()) {
    				$app->enqueueMessage(sprintf(JText::_('COM_UREDNIDESKA_ALERT_CATEGORY_CHANGE_STATE'), $row->id), 'error');
            $app->enqueueMessage($db->getErrorMsg(), 'error');    				
    			}
          else {
    				if ($value == 1)
    				{
    					$ntext = 'COM_UREDNIDESKA_N_ITEMS_PUBLISHED';
    				}
    				elseif ($value == 0)
    				{
    					$ntext = 'COM_UREDNIDESKA_N_ITEMS_UNPUBLISHED';
    				}
    			}
        }
        else {
          $app->enqueueMessage(sprintf(JText::_('COM_UREDNIDESKA_PERMISSION_CATEGORIES_CHANGE_STATE'), $row->id), 'notice');
        }
        
        $this->setMessage(JText::plural($ntext, $i));
        $link = 'index.php?option=com_urednideska&view=kategorie';
    		$this->setRedirect($link);
      }
    }
  }
  
  function subscribe() {
    // Check for request forgeries
    JSession::checkToken() or jexit(JText::_('JINVALID_TOKEN'));
	
    $cid = JRequest::getVar( 'cid', '', '', 'array' );
    $subscribe = 1;

    if (empty($cid)) {
			JError::raiseWarning(500, JText::_('COM_UREDNIDESKA_NO_ITEM_SELECTED'));
		}
    else {
      // Initialize variables
      $db	= JFactory::getDBO();
      $query = $db->getQuery(true);
      JArrayHelper::toInteger($cid);
  
      $cid = $cid[0];
    
      $query->select($db->quoteName('published'));
      $query->from($db->quoteName('#__urednideska_kategorie'));
      $query->where('id = '.$cid);
      $db->setQuery((string)$query);
      $result = $db->loadResult();

      // Check for a database error.
			if ($db->getErrorNum()) {
				JError::raiseWarning(500, $db->getErrorMsg());
				return false;
			}

      if ($result == 0) { 
        JError::raiseNotice('SOME_ERROR_CODE', JText::_('COM_UREDNIDESKA_SUBSCRIBE_CATEGORY_UNPUBLISH'));
  		  $link = 'index.php?option=com_urednideska&view=kategorie';
  			
  		  $this->setRedirect($link);
      }
      else {
        $query->clear();
        $query->update($db->quoteName('#__urednideska_kategorie'));
        $query->set($db->quoteName('subscribe').' = '.(int) $subscribe);
        $query->where('id = '.$cid);
        $db->setQuery($query);
        $db->query();
        
        if (!$db->query()) {
  		    JError::raiseError(500, $db->getErrorMsg());
        }
  
        $msg 	= JText::_('COM_UREDNIDESKA_SUBSCRIBE_CATEGORY_SUBSCRIBE');
  		  $link = 'index.php?option=com_urednideska&view=kategorie';
  			
  		  $this->setRedirect( $link, $msg );
  		}
    }
  }
  
  function unsubscribe() {
    // Check for request forgeries
    JSession::checkToken() or jexit(JText::_('JINVALID_TOKEN'));
	
    $cid = JRequest::getVar( 'cid', '', '', 'array' );
    $subscribe = 0;

    if (empty($cid)) {
			JError::raiseWarning(500, JText::_('COM_UREDNIDESKA_NO_ITEM_SELECTED'));
		}
    else {
      // Initialize variables
      $db	= JFactory::getDBO();
      $query = $db->getQuery(true);
      JArrayHelper::toInteger($cid);
  
      $cid = $cid[0];

      $query->update($db->quoteName('#__urednideska_kategorie'));
      $query->set($db->quoteName('subscribe').' = '.(int) $subscribe);
      $query->where('id = '.$cid);
      $db->setQuery($query);
      $db->query();
      
      if (!$db->query()) {
		    JError::raiseError(500, $db->getErrorMsg());
      }

      $msg 	= JText::_('COM_UREDNIDESKA_SUBSCRIBE_CATEGORY_UNSUBSCRIBE');
		  $link = 'index.php?option=com_urednideska&view=kategorie';
			
		  $this->setRedirect( $link, $msg );
    }
  }
}
?>