<?php
/*------------------------------------------------------------------------
# urednideska.php - Úřední deska Component
# ------------------------------------------------------------------------
# author    Petr Houba
# copyright Copyright (C) 2013. All Rights Reserved
# license   GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
# website   urednideska.g6.cz
-------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla controlleradmin library
jimport('joomla.application.component.controlleradmin');

/**
 * Urednideska Controller
 */
class UrednideskaControllerUrednideska extends JControllerAdmin {
	public function __construct($config = array())
	{
		parent::__construct($config);

		$this->registerTask('archive', 'archive');
    $this->registerTask('unarchive', 'archive');
	}
  
  /**
	 * Proxy for getModel.
	 * @since	2.5
	 */
	public function getModel($name = 'urednideska', $prefix = 'UrednideskaModel')
	{
		//$model = parent::getModel($name, $prefix, array('ignore_request' => true));
		
//		return $model;
	}
  
  function archive () {
    // Check for request forgeries
		JSession::checkToken() or jexit(JText::_('JINVALID_TOKEN'));
    
    // Get items to publish from the request.
		$cid = JRequest::getVar('cid', array(), '', 'array');
		$data = array('archive' => -1, 'unarchive' => 0);
    $task = $this->getTask();
    $value = JArrayHelper::getValue($data, $task, 0, 'int');
    
    if (empty($cid)) {
			JError::raiseWarning(500, JText::_('COM_UREDNIDESKA_NO_ITEM_SELECTED'));
		}
    else {
      $db	=& JFactory::getDBO();
      $query = $db->getQuery(true);
      
      $query->update($db->quoteName('#__urednideska'));
      $query->set($db->quoteName('state').' = '.$value);
      $query->where('id IN('.implode($cid, ',').')');
      $db->setQuery((string)$query);
      $db->query();
      
      // Check for a database error.
			if ($db->getErrorNum()) {
				JError::raiseWarning(500, $db->getErrorMsg());
				return false;
			}
      
      $query->clear();
      $query->update($db->quoteName('#__urednideska'));
      $query->set($db->quoteName('publish_down').' = CURRENT_DATE()');
      $query->where('id IN('.implode($cid, ',').') AND (publish_down = '.$db->quote('0000-00-00').' OR publish_down > CURRENT_DATE())');
      $db->setQuery((string)$query);
      $db->query();
      
      // Check for a database error.
			if ($db->getErrorNum()) {
				JError::raiseWarning(500, $db->getErrorMsg());
				return false;
			}
      else {
				if ($value == -1)
				{
					$ntext = 'COM_UREDNIDESKA_N_ITEMS_ARCHIVED';
				}
				elseif ($value == 0)
				{
					$ntext = 'COM_UREDNIDESKA_N_ITEMS_UNARCHIVED';
				}
				$this->setMessage(JText::plural($ntext, count($cid)));
			}
    }
         
	  $link = 'index.php?option=com_urednideska&view=urednideska';
	  $this->setRedirect($link);
  }
}
?>