<?php
/*------------------------------------------------------------------------
# urednideska.php - Úřední deska Component
# ------------------------------------------------------------------------
# author    Petr Houba
# copyright Copyright (C) 2013. All Rights Reserved
# license   GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
# website   urednideska.g6.cz
-------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

/**
 * Urednideska component helper.
 */
abstract class UrednideskaHelper
{
	/**
	 *	Configure the Linkbar.
	 */
	public static function addSubmenu($submenu) {
		JSubMenuHelper::addEntry(JText::_('COM_UREDNIDESKA_MENU_UREDNIDESKA'), 'index.php?option=com_urednideska&view=urednideska', $submenu == 'urednideska');
    JSubMenuHelper::addEntry(JText::_('COM_UREDNIDESKA_MENU_CATEGORIES'), 'index.php?option=com_urednideska&view=kategorie', $submenu == 'kategorie');
	}

	/**
	 *	Get the actions
	 */
	public static function getActions($categoryId = 0, $itemId = 0) {
		jimport('joomla.access.access');

		$user	= JFactory::getUser();
		$result	= new JObject;

		if (empty($itemId) && empty($categoryId)) {
			$assetName = 'com_urednideska';
    }
		elseif (empty($itemId)) {
			$assetName = 'com_urednideska.kategorie.'.(int) $categoryId;
		}
		else {
			$assetName = 'com_urednideska.item.'.(int) $itemId;
		}

		$actions = JAccess::getActions('com_urednideska', 'component');

		foreach ($actions as $action) {
			$result->set($action->name, $user->authorise($action->name, $assetName));
		}

		return $result;
	}
  
  public static function getInstallInfo() { 
    $xml_items = '';
    if ($data = JApplicationHelper::parseXMLInstallFile(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_urednideska'.DS.'urednideska.xml')) {
      foreach($data as $key => $value) {
        $xml_items[$key] = $value;
      }
    }
        
    return $xml_items;
  }
  
  public static function ikona ($extension, $name) {
    switch ($extension) {
      case 'doc':
      case 'docx':
        $file = 'doc.gif';
      break;
      case 'xls':
      case 'xlsx':
        $file = 'xls.gif';
      break;
      case 'jpg':
      case 'gif':
        $file = 'jpg.gif';
      break;
      case 'txt':
        $file = 'txt.gif';
      break;
      case 'pdf':
        $file = 'pdf.gif';
      break;
      case 'zip':
        $file = 'zip.gif';
      break;
      default:
        $file = 'default.gif';      
    }
    
    $image = '<img style="vertical-align: bottom;" src="components/com_urednideska/assets/images/icons/'.$file.'" align="middle" title="'.$name.'" alt="'.$extension.'"/>'; 
    
    return $image;
  }
  
  public static function format_bytes($size) {
    $units = array(' B', ' kB', ' MB', ' GB', ' TB');
    for ($i = 0; $size >= 1024 && $i < 4; $i++) $size /= 1024;
    
    return str_replace('.',',', round($size, 2)).$units[$i];
  }
  
  public static function getKategorieOptions() {
		// Initialize variables.
		$options = array();

		$db		= JFactory::getDbo();
		$query	= $db->getQuery(true);

		$query->select('id AS value, title AS text');
		$query->from('#__urednideska_kategorie');
		$query->where('published = 1');
    $query->order('title');

		// Get the options.
		$db->setQuery($query);

		$options = $db->loadObjectList();

		// Check for a database error.
		if ($db->getErrorNum()) {
			JError::raiseWarning(500, $db->getErrorMsg());
		}

		// Merge any additional options in the XML definition.
		//$options = array_merge(parent::getOptions(), $options);

		array_unshift($options, JHtml::_('select.option', '0', JText::_('COM_UREDNIDESKA_NO_CATEGORIES')));

		return $options;
	}
  
  	public static function read_headers() {
	
    $data = JRequest::get('SERVER'); 
  
		$headers = array();
		$headers['Content-Length'] 	= $data['CONTENT_LENGTH'];
		$headers['X-File-Id'] 			= $data['HTTP_X_FILE_ID'];
//		$headers['X-File-Name'] 		= $data['HTTP_X_FILE_NAME'];			
		$headers['X-File-Resume'] 	= $data['HTTP_X_FILE_RESUME'];
		$headers['X-File-Size'] 		= $data['HTTP_X_FILE_SIZE'];
		
		return $headers;
		
	}	 
}
?>