<?php
/*------------------------------------------------------------------------
# urednideska.php - Úřední deska Component
# ------------------------------------------------------------------------
# author    Petr Houba
# copyright Copyright (C) 2013. All Rights Reserved
# license   GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
# website   urednideska.g6.cz
-------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import the Joomla modellist library
jimport('joomla.application.component.modellist');
/**
 * Urednideska Model
 */
class UrednideskaModelKategorie extends JModelList {
	
  /**
	 * Constructor.
	 *
	 * @param	array	An optional associative array of configuration settings.
	 * @see		JController
	 * @since	1.6
	 */
	public function __construct($config = array())
	{
		if (empty($config['filter_fields'])) {
			$config['filter_fields'] = array(
				'id', 'k.id',
				'title', 'k.title',
        'published', 'k.published',
        'subscribe', 'k.subscribe'
			);
		}

		parent::__construct($config);
	}
  
  
  /**
	 * Method to build an SQL query to load the list data.
	 *
	 * @return	string	An SQL query
	 */
	protected function getListQuery() {
		// Create a new query object.
		$db = JFactory::getDBO();
		$query = $db->getQuery(true);

		// Select some fields
		$query->select('k.*');
    
		// From the urednideska_urednidesk table
		$query->from('#__urednideska_kategorie AS k');
    
    // Filter by search in title and item number.
		$search = $this->getState('filter.search');
		if (!empty($search)) {
			if (stripos($search, 'id:') === 0) {
				$query->where('k.id = '.(int) substr($search, 3));
			}
			else {
				$search = $db->Quote('%'.$db->escape($search, true).'%');
				$query->where('(k.title LIKE '.$search.' OR k.description LIKE '.$search.')');
			}
		}
    
/*    // Filter by archive state
		$archive = $this->getState('filter.archive');
		if (is_numeric($archive)) {
			$query->where('ud.state = ' . (int) $archive);
		}
    
    // Filter by category
    $category = $this->getState('filter.category');
		if (is_numeric($category)) {
			$query->where('k.id = '.(int) $category);
		} */
    
    // Add the list ordering clause.
		$orderCol	= $this->state->get('list.ordering', 'k.ordering');
		$orderDirn = $this->state->get('list.direction', 'asc');

    $query->order($db->escape($orderCol.' '.$orderDirn));

		return $query;
	}
  
  protected function populateState($ordering = null, $direction = null) {
		// Initialise variables.
		$app = JFactory::getApplication();
		$session = JFactory::getSession();

		// Adjust the context to support modal layouts.
		if ($layout = JRequest::getVar('layout')) {
			$this->context .= '.'.$layout;
		}

		$search = $this->getUserStateFromRequest($this->context.'.filter.search', 'filter_search');
		$this->setState('filter.search', $search);

/*		$anotace = $this->getUserStateFromRequest($this->context.'.filter.anotace', 'filter_anotace', 0, 'int');
		$this->setState('filter.anotace', $anotace);

		$archive = $this->getUserStateFromRequest($this->context.'.filter.archive', 'filter_archive', '');
		$this->setState('filter.archive', $archive);

		$category = $this->getUserStateFromRequest($this->context.'.filter.category', 'filter_category');
		$this->setState('filter.category', $category); */

/*		$level = $this->getUserStateFromRequest($this->context.'.filter.level', 'filter_level', 0, 'int');
		$this->setState('filter.level', $level);


		$language = $this->getUserStateFromRequest($this->context.'.filter.language', 'filter_language', '');
		$this->setState('filter.language', $language);*/
    
    // Load the parameters.
		$params = JComponentHelper::getParams('com_urednideska');
		$this->setState('params', $params);

		// List state information.
		parent::populateState('k.ordering', 'asc');
	}
  
  public function reorder() {
    parent::reorder();
  }
}
?>