<?php
/*------------------------------------------------------------------------
# view.html.php - Úřední deska Component
# ------------------------------------------------------------------------
# author    Petr Houba
# copyright Copyright (C) 2013. All Rights Reserved
# license   GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
# website   urednideska.g6.cz
-------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');
// import Joomla view library
jimport('joomla.application.component.view');

/**
 * HTML Urednideska View class for the Úřední deska Component
 */
class UrednideskaViewUrednideska extends JView {
	// Overwriting JView display method
	function display($tpl = null) {
    JHTML::_('behavior.tooltip');
    
    $app = JFactory::getApplication();
		$params = $app->getParams();

		// Assign data to the view
		$this->actual = $this->get('ActualItems');
    $this->archive = $this->get('ArchiveItems');
    $categories = $this->get('Categories');
    $this->files = urednideskaHelper::files();
    $this->installInfo = UrednideskaHelper::getInstallInfo();
    
    $this->search = $app->getUserState('urednideska.filter.search', '');
    $this->publish_up = $app->getUserState('urednideska.filter.publish_up', '');
    $this->publish_down = $app->getUserState('urednideska.filter.publish_down', '');
    $this->category = $app->getUserState('urednideska.filter.category', '');
    
		// Check for errors.
		if (count($errors = $this->get('Errors'))):
			JError::raiseError(500, implode('<br />', $errors));
			return false;
		endif;
    
    //List categories
    $option = array();
    $option[] = JHTML::_('select.option', '', JText::_('COM_UREDNIDESKA_SELECT_ALL_CATEGORIES'));
    foreach ($categories AS $category) {
      $option[] = JHTML::_('select.option', $category->value, $category->text);
    }
    $this->list->category = $option;
    
    // Look for template files in component folders
		$this->_addPath('template', JPATH_COMPONENT.DS.'templates');
		$this->_addPath('template', JPATH_COMPONENT.DS.'templates'.DS.'default');

		// Look for overrides in template folder (Uredni deska template structure)
		$this->_addPath('template', JPATH_SITE.DS.'templates'.DS.$app->getTemplate().DS.'html'.DS.'com_urednideska'.DS.'templates');
		$this->_addPath('template', JPATH_SITE.DS.'templates'.DS.$app->getTemplate().DS.'html'.DS.'com_urednideska'.DS.'templates'.DS.'default');

		// Look for overrides in template folder (Joomla! template structure)
		$this->_addPath('template', JPATH_SITE.DS.'templates'.DS.$app->getTemplate().DS.'html'.DS.'com_urednideska'.DS.'default');
		$this->_addPath('template', JPATH_SITE.DS.'templates'.DS.$app->getTemplate().DS.'html'.DS.'com_urednideska');

		// Look for specific Urednideska theme files
		if ($params->get('theme')) {
			$this->_addPath('template', JPATH_COMPONENT.DS.'templates'.DS.$params->get('theme'));
			$this->_addPath('template', JPATH_SITE.DS.'templates'.DS.$app->getTemplate().DS.'html'.DS.'com_urednideska'.DS.'templates'.DS.$params->get('theme'));
			$this->_addPath('template', JPATH_SITE.DS.'templates'.DS.$app->getTemplate().DS.'html'.DS.'com_urednideska'.DS.$params->get('theme'));
		}

    $this->assignRef('params',	$params);

    //Escape strings for HTML output
		$this->pageclass_sfx = htmlspecialchars($params->get('pageclass_sfx'));
    
    $this->_prepareDocument();
    
    $this->footer = '<div style="font-size: 10px; text-align: center; margin-top: 5px;"><a target="_blank" href="http://uredni-deska.g6.cz">Úřední deska '.$this->installInfo['version'].'</a> powered by Petr Houba</div>';
    
		// Display the view
		parent::display($tpl);
	}
  
  /**
	 * Prepares the document
	 */
	protected function _prepareDocument() {
		$app = JFactory::getApplication();
		$menus = $app->getMenu();

		$menu = $menus->getActive();

		if ($menu) {
			$this->params->def('page_heading', $this->params->get('page_title', $menu->title));
		}
		else {
			$this->params->def('page_heading', JText::_('COM_UREDNIDESKA_DEFAULT_PAGE_TITLE'));
		}
  }
}
?>